<div class="container">
    
    <% if user_signed_in? %>

    <div class="row">
        <div class="col-md-8">
            <h1>Affiliate Program</h1>

            <p style="font-size:120%;">The way it works is simple:<br>
                <br>
                - We give you a unique link to share.<br>
                - Someone purchases a membership within 30 days after clicking the link.<br>
                - You get <b>50%</b> of the cut for their subscription lifetime! 
                <br>
                <br>
                Payouts are bi-weekly starting at the first of every month. Threshold for payouts is 50$ and we pay via Paypal. Edit the E-Mail Adress for Payouts in your Profile Settings.
                </p>
        </div>


        <% @pendingmoney = 0;
           @affiliates_on_this_user.each do |affiliate| 

           if affiliate.pending?
                @pendingmoney = @pendingmoney + 9.99
            end
         end %>
        <div class="col-md-12">
            <h2>Your Balance: <span class="label label-success">0.00$</span> <% if @pendingmoney != 0 %>Pending: <span class="label label-warning"><%= @pendingmoney %>$</span><% end %></h2> 
        </div>
        
        <div class="col-md-12">
           <p>Your Affiliate Link: <a>https://www.dropship-hero.com?ref=<%= @ref_id %></p></a>
        </div>

        <hr>

         <div class="col-md-8" style="margin-top: 12px;">
            <table class="table">
                <thead>
                    <tr>
                        <th>Time</th>
                        <th>Sign Up</th>
                        <th>Subscribed</th>
                        <th>Comission</th>
                    </tr>
                </thead>

                <% if @affiliates_on_this_user.count == 0 %>
                     <tr><td>You currently have no users signed up</td></tr>
                <% end %>

                <% @affiliates_on_this_user.each do |affiliate| %>
                    <tr>
                        <td><%= affiliate.created_at %></td>
                        <td>Yes</td>
                        <% if affiliate.pending? %>
                            <td>Pending</td>
                            <td>9.99$</td>
                        <% else %>
                            <td>No</td>
                            <td>0.00$</td>   
                        <% end %>
                    </tr>
                <% end %>
            </table>
        </div>

    </div>  

    <% else %>
        <div class="row">
            <div class="col-md-8">
                <h1>Affiliate Program</h1>

                    <p style="font-size:120%;">The way it works is simple:<br>
                        <br>
                        - We give you a unique link to share.<br>
                        - Someone purchases a membership within 30 days after clicking the link.<br>
                        - You get <b>50%</b> of the cut for their subscription lifetime! 
                        <br>
                        <br>
                        Payouts are bi-weekly starting at the first of every month. Threshold for payouts is 50$ and we pay via Paypal. Edit the E-Mail Adress for Payouts in your Profile Settings.
                    </p>

                    <%= link_to(new_user_registration_path) do %> <button class="btn btn-hero">Register Now to Join!</button> <% end %>
            </div>
        </div>

    <% end %>
</div>